<?php
namespace Modules\Documents\ImportedDocuments;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 */
	protected $resultsPerPageList = [10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('idExternalSystem')
			)
			->append(
				ListingColumn::create('docType')
			)
			->append(
				ListingColumn::create('docNumber')
			)
			->append(
				ListingColumn::create('docDate')
					->setType('date')
					->setSortable('DESC')
			)
			->append(
				ListingColumn::create('partner')
			)
			->append(
				ListingColumn::create('docValue')
			)
			->append(
				ListingColumn::create('agencyBankAccount')->setInvisible()
			)
			->append(
				ListingColumn::create('issued')
			)
			->append(
				ListingColumn::create('status')
			)
			->append(
				ListingColumn::create('id')
					->setSortable('DESC')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}